Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders
Summary: Items created via MarcItemFieldsToOrder are not linked to orders
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 15503
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-18 15:47 UTC by Kyle M Hall
Modified: 2017-05-21 20:55 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders (1.99 KB, patch)
2017-05-18 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders (2.09 KB, patch)
2017-05-18 18:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders (2.19 KB, patch)
2017-05-19 06:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-05-18 15:47:23 UTC
If using MarcItemFieldsToOrder with AcqCreateItem = Create, the order and the items will be created, but they will not be linked via aqorders_items!
Comment 1 Kyle M Hall 2017-05-18 15:53:53 UTC
Created attachment 63534 [details] [review]
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders

If using MarcItemFieldsToOrder with AcqCreateItem = Create,
the order and the items will be created, but they will not be linked via aqorders_items!

Test Plan:
1) Enable creation of items when ordering
2) Set up MarcItemFieldsToOrder
3) Upload an order record that uses the fields in step 2
4) Create a basket and add the records from the file
5) Note the order and items are created, but no rows in aqorders_items are created
6) Apply this patch
7) Repeat steps 3-4
8) Note the rows in aqorders_items are created!
Comment 2 Kyle M Hall 2017-05-18 18:57:16 UTC
Created attachment 63542 [details] [review]
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders

If using MarcItemFieldsToOrder with AcqCreateItem = Create,
the order and the items will be created, but they will not be linked via aqorders_items!

Test Plan:
1) Enable creation of items when ordering
2) Set up MarcItemFieldsToOrder
3) Upload an order record that uses the fields in step 2
4) Create a basket and add the records from the file
5) Note the order and items are created, but no rows in aqorders_items are created
6) Apply this patch
7) Repeat steps 3-4
8) Note the rows in aqorders_items are created!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Marci Chen <mchen@mckinneytexas.org>
Comment 3 Marcel de Rooy 2017-05-19 05:43:13 UTC
QA: Looking here now
Comment 4 Marcel de Rooy 2017-05-19 06:32:16 UTC
Created attachment 63561 [details] [review]
Bug 18627 - Items created via MarcItemFieldsToOrder are not linked to orders

If using MarcItemFieldsToOrder with AcqCreateItem = Create,
the order and the items will be created, but they will not be linked via aqorders_items!

Test Plan:
1) Enable creation of items when ordering
2) Set up MarcItemFieldsToOrder
3) Upload an order record that uses the fields in step 2
4) Create a basket and add the records from the file
5) Note the order and items are created, but no rows in aqorders_items are created
6) Apply this patch
7) Repeat steps 3-4
8) Note the rows in aqorders_items are created!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Marci Chen <mchen@mckinneytexas.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-05-19 13:23:22 UTC
Pushed to master for 17.05!
Comment 6 Katrin Fischer 2017-05-21 20:55:24 UTC
Depends on the system preference added by bug 15503 which is not in 16.11.x.